<?php

/**
* Clase Bean para Prestamo
*
* @package Prj
* @subpackage PrestamoBean
* @author Willy
* @version SVN: : PrestamoBean.class.php,v 1.1 2009/06/10 22:56:57 william.taype Exp $
*/
class PrestamoBean{

  protected $IdPrestamo;
  protected $IdCliente;
  protected $IdMercado;
  protected $FechaInicio;
  protected $FechaVencimiento;
  protected $MontoPrestado;
  protected $InteresPorcentaje;
  protected $InteresMonto;
  protected $MontoTotal;
  protected $CuotaPago;
  protected $MoraAcumulada;
  protected $MoraAmortizada;
  protected $SaldoPrestamo;
  protected $Origen;
  protected $Estado;
  protected $Observacion;
  protected $PeriodicidadPago;
  protected $FechaCancelacion;
  protected $IdPrestamoReferencia;
  protected $NroCuotas;
  protected $MontoExtra;
  protected $Eliminado;
  protected $FechaEliminado;
  protected $GastoAdministrativo;
  protected $UsuarioCreacion;
  protected $FechaCreacion;
  protected $UsuarioModificacion;
  protected $FechaModificacion;
  protected $UsuarioEliminado;
  protected $ApellidoPaterno;
  protected $ApellidoMaterno;
  protected $Nombres;
  protected $ObjectCliente;
  protected $Duracion;
  protected $IdColaborador;
  protected $IdColaboradorDestino;
  protected $IdColaboradorPrestamo;
  protected $FiltroMercado;
  protected $FiltroSucursal;
  protected $Vencido;
  protected $NombreCompleto;
  protected $Moroso;
  protected $FlagReporte;
  protected $FlagContUtilidad;
  protected $montoreferencia;
  protected $Mensaje;
  protected $Error;

  public function getIdPrestamo(){
    return $this->IdPrestamo;
  }
  public function setIdPrestamo($v){
    $this->IdPrestamo = $v;
  }
  
  public function getIdsPrestamos(){
    return $this->a_IdPrestamo;
  }
  public function setIdsPrestamos($v){
    $this->a_IdPrestamo = $v;
  }
    
  public function getIdColaboradorDestino(){
    return $this->IdColaboradorDestino;
  }
  public function setIdColaboradorDestino($v){
    $this->IdColaboradorDestino = $v;
  }
   public function getIdColaboradorPrestamo(){
    return $this->IdColaboradorPrestamo;
  }
  public function setIdColaboradorPrestamo($v){
    $this->IdColaboradorPrestamo = $v;
  } 
  
   public function getReporte(){
    return $this->Reporte;
  }
  public function setReporte($v){
    $this->Reporte = $v;
  }
  public function getMaxPago(){
    return $this->MaxPago;
  }
  public function setMaxPago($v){
    $this->MaxPago = $v;
  }
  public function getNroPagos(){
    return $this->NroPagos;
  }
  public function setNroPagos($v){
    $this->NroPagos = $v;
  }
 
  public function getFiltroMercado(){
    return $this->FiltroMercado;
  }
  public function setFiltroMercado($v){
    $this->FiltroMercado = $v;
  }

  public function getFiltroSucursal(){
    return $this->FiltroSucursal;
  }
    
  public function setVencido($v){
    $this->Vencido = $v;
  }

  public function getVencido(){
    return $this->Vencido;
  }
  
    
  public function setFlagContUtilidad($v){
    $this->FlagContUtilidad = $v;
  }

  public function getFlagContUtilidad(){
    return $this->FlagContUtilidad;
  }
  
  
  
  
  public function setCondicion($v){
    $this->condicion = $v;
  }

  public function getCondicion(){
    return $this->condicion;
  }
  
  
  public function setDni($v){
    $this->dni = $v;
  }

  public function getDni(){
    return $this->dni;
  }
  
  
  
  public function setMontoReferencia($v){
    $this->montoreferencia = $v;
  }

  public function getMontoReferencia(){
    return $this->montoreferencia;
  }
  
   
  
  
  
  
  public function setMoroso($v){
    $this->Moroso = $v;
  }

  public function getMoroso(){
    return $this->Moroso;
  }
  
  public function setFiltroSucursal($v){
    $this->FiltroSucursal = $v;
  }

  public function getIdCliente(){
    return $this->IdCliente;
  }
  public function setIdCliente($v){
    $this->IdCliente = $v;
  }

  public function getFechaInicio(){
    return $this->FechaInicio;
  }
  public function setFechaInicio($v){
    $this->FechaInicio = $v;
  }
   public function getFechaFinal(){
    return $this->FechaFinal;
  }
  public function setFechaFinal($v){
    $this->FechaFinal = $v;
  }
   public function getFechaFinalven(){
    return $this->FechaFinalven;
  }
  public function setFechaFinalven($v){
    $this->FechaFinalven = $v;
  }
  public function getFechaFinalcan(){
    return $this->FechaFinalcan;
  }
  public function setFechaFinalcan($v){
    $this->FechaFinalcan = $v;
  }
  
  public function getFechaInicioPago(){
    return $this->FechaInicioPago;
  }
  public function setFechaInicioPago($v){
    $this->FechaInicioPago = $v;
  }
  
  public function getUsuarioEliminado(){
    return $this->UsuarioEliminado;
  }
  public function setUsuarioEliminado($v){
    $this->UsuarioEliminado = $v;
  }

  public function getFechaVencimiento(){
    return $this->FechaVencimiento;
  }
  public function setFechaVencimiento($v){
    $this->FechaVencimiento = $v;
  }
  
  public function getIdMercado(){
    return $this->IdMercado;
  }
  public function setIdMercado($v){
    $this->IdMercado = $v;
  }
  
 //Nuevo 
 public function getIdMercados(){
    return $this->IdMercados;
  }
  public function setIdMercados($v){
    $this->IdMercados = $v;
  }
  //----
  public function getMontoPrestado(){
    return $this->MontoPrestado;
  }
  public function setMontoPrestado($v){
    $this->MontoPrestado = $v;
  }

  public function getInteresPorcentaje(){
    return $this->InteresPorcentaje;
  }
  public function setInteresPorcentaje($v){
    $this->InteresPorcentaje = $v;
  }

  public function getInteresMonto(){
    return $this->InteresMonto;
  }
  public function setInteresMonto($v){
    $this->InteresMonto = $v;
  }

  public function getMontoTotal(){
    return $this->MontoTotal;
  }
  public function setMontoTotal($v){
    $this->MontoTotal = $v;
  }

  public function getCuotaPago(){
    return $this->CuotaPago;
  }
  public function setCuotaPago($v){
    $this->CuotaPago = $v;
  }

  public function getMoraAcumulada(){
    return $this->MoraAcumulada;
  }
  public function setMoraAcumulada($v){
    $this->MoraAcumulada = $v;
  }

  public function getMoraAmortizada(){
    return $this->MoraAmortizada;
  }
  public function setMoraAmortizada($v){
    $this->MoraAmortizada = $v;
  }

  public function getSaldoPrestamo(){
    return $this->SaldoPrestamo;
  }
  public function setSaldoPrestamo($v){
    $this->SaldoPrestamo = $v;
  }

  public function getOrigen(){
    return $this->Origen;
  }
  public function setOrigen($v){
    $this->Origen = $v;
  }

  public function getEstado(){
    return $this->Estado;
  }
  public function setEstado($v){
    $this->Estado = $v;
  }
  
  public function getEstados(){
    return $this->Estados;
  }
  public function setEstados($v){
    $this->Estados = $v;
  }

  public function getObservacion(){
    return $this->Observacion;
  }
  public function setObservacion($v){
    $this->Observacion = $v;
  }

  public function getPeriodicidadPago(){
    return $this->PeriodicidadPago;
  }
  public function setPeriodicidadPago($v){
    $this->PeriodicidadPago = $v;
  }

  public function getFechaCancelacion(){
    return $this->FechaCancelacion;
  }
  public function setFechaCancelacion($v){
    $this->FechaCancelacion = $v;
  }
  
  public function getFechaCancelacionFin(){
    return $this->FechaCancelacionFin;
  }
  public function setFechaCancelacionFin($v){
    $this->FechaCancelacionFin = $v;
  }
  
  

  public function getIdPrestamoReferencia(){
    return $this->IdPrestamoReferencia;
  }
  public function setIdPrestamoReferencia($v){
    $this->IdPrestamoReferencia = $v;
  }
  
  public function getIdPedidoReferencia(){
    return $this->IdPedidoReferencia;
  }
  public function setIdPedidoReferencia($v){
    $this->IdPedidoReferencia = $v;
  }
   
  public function getFechaSaldoCero(){
    return $this->FechaSaldoCero;
  }
  public function setFechaSaldoCero($v){
    $this->FechaSaldoCero = $v;
  }
  public function getFechaSaldoCeroFin(){
    return $this->FechaSaldoCeroFin;
  }
  public function setFechaSaldoCeroFin($v){
    $this->FechaSaldoCeroFin = $v;
  }

  public function getNroCuotas(){
    return $this->NroCuotas;
  }
  public function setNroCuotas($v){
    $this->NroCuotas = $v;
  }

  public function getMontoExtra(){
    return $this->MontoExtra;
  }
  public function setMontoExtra($v){
    $this->MontoExtra = $v;
  }
    
  public function getRegistroLatitud(){
    return $this->RegistroLatitud;
  }
  public function setRegistroLatitud($v){
    $this->RegistroLatitud = $v;
  }
  
  public function getRegistroLongitud(){
    return $this->RegistroLongitud;
  }
  public function setRegistroLongitud($v){
    $this->RegistroLongitud = $v;
  }

  public function getEliminado(){
    return $this->Eliminado;
  }
  public function setEliminado($v){
    $this->Eliminado = $v;
  }

  public function getFechaEliminado(){
    return $this->FechaEliminado;
  }
  public function setFechaEliminado($v){
    $this->FechaEliminado = $v;
  }
  public function getPago_1(){
    return $this->Pago_1;
  }
  public function setPago_1($v){
    $this->Pago_1 = $v;
  }

  public function getPago_2(){
    return $this->Pago_2;
  }
  public function setPago_2($v){
    $this->Pago_2 = $v;
  }

  public function getGastoAdministrativo(){
    return $this->GastoAdministrativo;
  }
  public function setGastoAdministrativo($v){
    $this->GastoAdministrativo = $v;
  }
  
  public function getGastoAdministrativoNP(){
    return $this->GastoAdministrativoNP;
  }
  public function setGastoAdministrativoNP($v){
    $this->GastoAdministrativoNP = $v;
  }
  
  public function getMoraNP(){
    return $this->MoraNP;
  }
  public function setMoraNP($v){
    $this->MoraNP = $v;
  }
  
  public function getFechaNegociacion(){
    return $this->FechaNegociacion;
  }
  public function setFechaNegociacion($v){
    $this->FechaNegociacion = $v;
  }
  
  public function getFlagNegociacion(){
    return $this->FlagNegociacion;
  }
  public function setFlagNegociacion($v){
    $this->FlagNegociacion = $v;
  }
  
  
 public function getUsuarioNegociacion(){
    return $this->UsuarioNegociacion;
  }
  public function setUsuarioNegociacion($v){
    $this->UsuarioNegociacion = $v;
  }
  
   public function getConMoraAcumulada(){
    return $this->conMoraAcumulada;
  }
  public function setConMoraAcumulada($v){
    $this->conMoraAcumulada = $v;
  }
  
  

  public function getUsuarioCreacion(){
    return $this->UsuarioCreacion;
  }
  public function setUsuarioCreacion($v){
    $this->UsuarioCreacion = $v;
  }

  public function getFechaCreacion(){
    return $this->FechaCreacion;
  }
  public function setFechaCreacion($v){
    $this->FechaCreacion = $v;
  }

  public function getUsuarioModificacion(){
    return $this->UsuarioModificacion;
  }
  public function setUsuarioModificacion($v){
    $this->UsuarioModificacion = $v;
  }

  public function getFechaModificacion(){
    return $this->FechaModificacion;
  }
  public function setFechaModificacion($v){
    $this->FechaModificacion = $v;
  }
   public function getDuracion(){
    return $this->Duracion;
  }
  public function setDuracion($v){
    $this->Duracion = $v;
  }

  public function getMensaje(){
    return $this->Mensaje;
  }
  public function setMensaje($vl){
    $this->Mensaje = $vl;
  }

   public function getSaldoMora(){
    return $this->SaldoMora;
  }
  public function setSaldoMora($v){
    $this->SaldoMora = $v;
  }
  
    public function getInteresMora(){
    return $this->InteresMora;
  }
  public function setInteresMora($v){
    $this->InteresMora = $v;
  }
  
  public function getError(){
    return $this->Error;
  }
  public function setError($vl){
    $this->Error = $vl;
  }
  
  public function getObjectCliente(){
    return $this->ObjectCliente;
  }
  public function setObjectCliente($v){
    $this->ObjectCliente = $v;
  } 
  public function getApellidoPaterno(){
    return $this->ApellidoPaterno;
  }
  public function setApellidoPaterno($v){
    $this->ApellidoPaterno = $v;
  }
  public function getApellidoMaterno(){
    return $this->ApellidoMaterno;
  }
  public function setApellidoMaterno($v){
    $this->ApellidoMaterno = $v;
  }
  public function getNombres(){
    return $this->Nombres;
  }
  public function setNombres($v){
    $this->Nombres = $v;
  }
  
   public function getNombreCompleto(){
    return $this->NombreCompleto;
  }
  public function setNombreCompleto($v){
    $this->NombreCompleto = $v;
  }
  public function getIdColaborador(){
    return $this->IdColaborador;
  }
  public function setIdColaborador($v){
    $this->IdColaborador = $v;
  }
  
   public function getFlagReporte(){
    return $this->FlagReporte;
  }
  
   public function setFlagReporte($v){
    $this->FlagReporte = $v;
  }
   public function getSemaforo(){
    return $this->Semaforo;
  }
  
   public function setSemaforo($v){
    $this->Semaforo = $v;
  }
  
  
  public function getCalificacionUP(){
    return $this->CalificacionUP;
  }
  
   public function setCalificacionUP($v){
    $this->CalificacionUP = $v;
  }
  
  public function getDescripcionUP(){
    return $this->DescripcionUP;
  }
  
   public function setDescripcionUP($v){
    $this->DescripcionUP= $v;
  }
  
   public function getColorUP(){
    return $this->ColorUP;
  }
  
   public function setColorUP($v){
    $this->ColorUP = $v;
  }
  
   public function getNombreCategoria(){
    return $this->NombreCategoria;
  }
  
   public function setNombreCategoria($v){
    $this->NombreCategoria = $v;
  }
  
  public function getIdCategoria(){
    return $this->IdCategoria;
  }
  
   public function setIdCategoria($v){
    $this->IdCategoria = $v;
  }
  
}?>